digraph "CFG for 'd4d_deinit' function" {
	label="CFG for 'd4d_deinit' function";

	Node0x2213890 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%0:\l  %1 = alloca i32, align 4\l  %2 = load %struct.d4d__maing*, %struct.d4d__maing** @d4d__main, align 8\l  %3 = icmp ne %struct.d4d__maing* %2, null\l  br i1 %3, label %5, label %4\l|{<s0>T|<s1>F}}"];
	Node0x2213890:s0 -> Node0x2213930;
	Node0x2213890:s1 -> Node0x22138e0;
	Node0x22138e0 [shape=record,color="#3d50c3ff", style=filled, fillcolor="#f7b39670",label="{%4:\l4:                                                \l  store i32 0, i32* %1, align 4\l  br label %11\l}"];
	Node0x22138e0 -> Node0x2213980;
	Node0x2213930 [shape=record,color="#b70d28ff", style=filled, fillcolor="#e8765c70",label="{%5:\l5:                                                \l  %6 = load %struct.d4d__maing*, %struct.d4d__maing** @d4d__main, align 8\l  %7 = getelementptr inbounds %struct.d4d__maing, %struct.d4d__maing* %6, i32\l... 0, i32 1\l  %8 = load void (i8*)*, void (i8*)** %7, align 8\l  %9 = load %struct.d4d__maing*, %struct.d4d__maing** @d4d__main, align 8\l  %10 = bitcast %struct.d4d__maing* %9 to i8*\l  call void %8(i8* %10)\l  store %struct.d4d__maing* null, %struct.d4d__maing** @d4d__main, align 8\l  store i32 0, i32* %1, align 4\l  br label %11\l}"];
	Node0x2213930 -> Node0x2213980;
	Node0x2213980 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%11:\l11:                                               \l  %12 = load i32, i32* %1, align 4\l  ret i32 %12\l}"];
}
